# $Revision: 1.33 $, $Date: 2004/05/07 01:25:43 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	Ident
Summary:	Net::Ident perl module
Summary(pl):	Modu perla Net::Ident
Name:		perl-Net-Ident
Version:	1.20
Release:	9
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	70f265f46548675be01977d3c9eed570
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoprov	"perl(FileHandle)"

%description
Net::Ident - Perl Ident.

%description -l pl
Net::Ident - Ident w perlu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
yes "" | perl Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Net/Ident.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-Ident.spec,v $
Revision 1.33  2004/05/07 01:25:43  ankry
- rel. 9

Revision 1.32  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/27 00:33:14  ankry
- tests added, other fixes

Revision 1.30  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.29  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 20:21:49  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/18 15:37:04  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/11/26 00:14:20  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.23  2002/07/10 08:48:12  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.22  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/02/25 10:33:14  depesz
cleanup; revision++

Revision 1.20  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/13 14:19:00  depesz
automatic: Source location unfied, Relase Up

Revision 1.18  2002/02/10 15:29:40  depesz
adapterized

Revision 1.17  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/28 15:20:20  mis
- buildarch noarch; release++

Revision 1.15  2001/09/18 18:14:02  kloczek
- release 4.

Revision 1.14  2001/09/18 14:14:09  qboosh
- use _noautoprov instead of dep patch

Revision 1.13  2001/04/17 12:13:23  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/19 05:53:31  kloczek
- do not include .packlist in %files,
- spec adapterized.

Revision 1.10  2001/01/13 01:05:08  dobrek
-Req:perl>=5.6 ;Realase=2;New rpm automat

Revision 1.9  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.4  2000/02/18 01:34:26  pius
- updated to 1.20

Revision 1.3  1999/11/07 10:29:18  pius
- fixed deps

Revision 1.2  1999/11/05 23:57:53  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
